#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2-3)
#-----------------------------------------------------------------------------
Name		:	python3-html5lib
Version		:	1.1
Release		:	17.2.0.rel%{?dist}
Summary		:	A python based HTML parser/tokenizer

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://pypi.org/project/html5lib

Source0		:	%{sname}-%{version}.tar.gz
Patch0		:	%{sname}-%{version}-pytest.patch
Patch1		:	%{sname}-%{version}-pytest74.patch
Patch2		:	%{sname}-%{version}-mock-stdlib.patch

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
BuildRequires	:	python3-iniconfig
BuildRequires	:	python3-pluggy
BuildRequires	:	python3-pytest
BuildRequires	:	python3-pytest-expect
BuildRequires	:	python3-u-msgpack
BuildRequires	:	python3-webencodings
BuildRequires	:	python-attrs
BuildRequires	:	python-sortedcontainers

BuildArch	:	noarch

Requires	:	python3-six
Requires	:	python3-webencodings
#-----------------------------------------------------------------------------
%description
A python based HTML parser/tokenizer based on
the WHATWG HTML5 specification for maximum
compatibility with major desktop web browsers.
 
#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc README.rst AUTHORS.rst
%license LICENSE
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_trie/*.py
%{python3_sitelib}/%{sname}/_trie/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/filters/*.py
%{python3_sitelib}/%{sname}/filters/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/treeadapters/*.py
%{python3_sitelib}/%{sname}/treeadapters/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/treewalkers/*.py
%{python3_sitelib}/%{sname}/treewalkers/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/treebuilders/*.py
%{python3_sitelib}/%{sname}/treebuilders/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/


#=============================================================================
%prep
%setup -q -n %{sname}-%{version}
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
pytest

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\


#-----------------------------------------------------------------------------
%changelog
